> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Compliance Activity Timeline Detail



## OpenAPI

````yaml /api-reference/openapi.json get /api/compliance/activity-timeline/detail
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/compliance/activity-timeline/detail:
    get:
      tags:
        - compliance
      summary: Get Compliance Activity Timeline Detail
      operationId: >-
        get_compliance_activity_timeline_detail_api_compliance_activity_timeline_detail_get
      parameters:
        - name: bucket_start
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: ISO timestamp marking the bucket start.
            title: Bucket Start
          description: ISO timestamp marking the bucket start.
        - name: bucket_end
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: ISO timestamp marking the bucket end.
            title: Bucket End
          description: ISO timestamp marking the bucket end.
        - name: dataset_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Optional dataset UUIDs to scope the detail to a subset of
              datasets.
            title: Dataset Ids
          description: Optional dataset UUIDs to scope the detail to a subset of datasets.
        - name: timezone
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: IANA timezone name used for labeling the selected bucket.
            default: UTC
            title: Timezone
          description: IANA timezone name used for labeling the selected bucket.
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComplianceActivityTimelineDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ComplianceActivityTimelineDetailResponse:
      properties:
        generated_at:
          type: string
          format: date-time
          title: Generated At
        timezone:
          type: string
          title: Timezone
        bucket_start:
          type: string
          format: date-time
          title: Bucket Start
        bucket_end:
          type: string
          format: date-time
          title: Bucket End
        highest_severity:
          type: string
          enum:
            - critical
            - high
            - medium
            - low
            - none
          title: Highest Severity
          default: none
        critical_count:
          type: integer
          title: Critical Count
          default: 0
        high_count:
          type: integer
          title: High Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
        affected_dataset_count:
          type: integer
          title: Affected Dataset Count
          default: 0
        datasets:
          items:
            $ref: '#/components/schemas/ComplianceActivityTimelineDatasetGroup'
          type: array
          title: Datasets
      type: object
      required:
        - generated_at
        - timezone
        - bucket_start
        - bucket_end
      title: ComplianceActivityTimelineDetailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ComplianceActivityTimelineDatasetGroup:
      properties:
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
        highest_severity:
          type: string
          enum:
            - critical
            - high
            - medium
            - low
            - none
          title: Highest Severity
          default: none
        total_count:
          type: integer
          title: Total Count
          default: 0
        critical_count:
          type: integer
          title: Critical Count
          default: 0
        high_count:
          type: integer
          title: High Count
          default: 0
        events:
          items:
            $ref: '#/components/schemas/ComplianceActivityEvent'
          type: array
          title: Events
      type: object
      title: ComplianceActivityTimelineDatasetGroup
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ComplianceActivityEvent:
      properties:
        id:
          type: string
          title: Id
        event_type:
          type: string
          title: Event Type
        category:
          type: string
          title: Category
          default: activity
        summary:
          type: string
          title: Summary
        actor:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
        scan_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Id
        scan_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Type
        scan_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Status
        severity:
          type: string
          enum:
            - critical
            - high
            - medium
            - low
            - none
          title: Severity
          default: low
        critical:
          type: boolean
          title: Critical
          default: false
        details:
          type: object
          title: Details
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - event_type
        - summary
        - created_at
      title: ComplianceActivityEvent
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````